M_SHM_ATTACH(3)

EXPERIMENTAL_FUNC
m_shm_attach - Attach a shared memory segment to the process address space.

SYNOPSIS
#include <karma_m.h>

void * m_shm_attach

(int shmid, flag reattach, flag writable)

DESCRIPTION
Attach a shared memory segment to the process address space.

shmid
    The ID of the shared memory segment to mark for deletion.

reattach
    If TRUE an existing attachment of the segment is returned, if available.

writable
    If TRUE the segment is given write access. This is ignored if <<reattach>> is TRUE.

RETURN VALUE
The address at which the segment was attached on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/